//*****************************************************************************
//*****************************************************************************
//  FILENAME: DAC9_1.h
//   Version: 2.2, Updated on 2009/5/7 at 21:9:55
//  Generated by PSoC Designer 5.0.423.0
//
//  DESCRIPTION: DAC9 User Module C Language interface file for the
//               22/24/25/26/27/29xxx PSoC family of devices.
//
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

//-------------------------------------------------
// Defines for DAC9_1 API's.
//-------------------------------------------------
// Power Setting Defines
#define DAC9_1_OFF                 0
#define DAC9_1_LOWPOWER            1
#define DAC9_1_MEDPOWER            2
#define DAC9_1_HIGHPOWER           3
#define DAC9_1_FULLPOWER           3

// Define constants for declaring function prototypes based on DataFormat parameter
#define DAC9_1_OffsetBinary            0x04
#define DAC9_1_TwosComplement          0x02
#define DAC9_1_SignAndMagnitude        0x01
#define DAC9_1_RawRegister             0x00
#define DAC9_1_DATAFORMAT          0x7
#define DAC9_1_OFFSETBINARY        DAC9_1_DATAFORMAT & DAC9_1_OffsetBinary
#define DAC9_1_TWOSCOMPLEMENT      DAC9_1_DATAFORMAT & DAC9_1_TwosComplement
#define DAC9_1_SIGNANDMAGNITUDE    DAC9_1_DATAFORMAT & DAC9_1_SignAndMagnitude

// Declare function fastcall16 pragmas
#pragma fastcall16 DAC9_1_Start
#pragma fastcall16 DAC9_1_SetPower
#pragma fastcall16 DAC9_1_Stop

//-------------------------------------------------
// Prototypes of the DAC9_1 API.
//-------------------------------------------------
extern void  DAC9_1_Start(BYTE bPowerSetting);
extern void  DAC9_1_SetPower(BYTE bPowerSetting);
extern void  DAC9_1_Stop(void);

// Declare overloaded functions based on DataForamt parameter selected
#if DAC9_1_OFFSETBINARY
   #pragma fastcall16 DAC9_1_WriteBlind
   #pragma fastcall16 DAC9_1_WriteStall
   extern void  DAC9_1_WriteBlind(WORD wOutputValue);
   extern void  DAC9_1_WriteStall(WORD wOutputValue);
#else
   #if DAC9_1_TWOSCOMPLEMENT
      #pragma fastcall16 DAC9_1_WriteBlind
      #pragma fastcall16 DAC9_1_WriteStall
      extern void  DAC9_1_WriteBlind(INT iOutputValue);
      extern void  DAC9_1_WriteStall(INT iOutputValue);
   #else    //DAC9_1_SIGNANDMAGNITUDE
      #pragma fastcall16 DAC9_1_WriteBlind2B
      #pragma fastcall16 DAC9_1_WriteStall2B
      extern void  DAC9_1_WriteBlind2B(BYTE bLSB, BYTE bMSB);
      extern void  DAC9_1_WriteStall2B(BYTE bLSB, BYTE bMSB);
   #endif
#endif

//-------------------------------------------------
// Hardware Addresses for DAC9_1
//-------------------------------------------------

#pragma ioport  DAC9_1_LSB_CR0: 0x090                      // LSB Analog control register 0
BYTE            DAC9_1_LSB_CR0;
#pragma ioport  DAC9_1_LSB_CR1: 0x091                      // LSB Analog control register 1
BYTE            DAC9_1_LSB_CR1;
#pragma ioport  DAC9_1_LSB_CR2: 0x092                      // LSB Analog control register 2
BYTE            DAC9_1_LSB_CR2;
#pragma ioport  DAC9_1_LSB_CR3: 0x093                      // LSB Analog control register 3
BYTE            DAC9_1_LSB_CR3;

#pragma ioport  DAC9_1_MSB_CR0: 0x080                      // MSB Analog control register 0
BYTE            DAC9_1_MSB_CR0;
#pragma ioport  DAC9_1_MSB_CR1: 0x081                      // MSB Analog control register 1
BYTE            DAC9_1_MSB_CR1;
#pragma ioport  DAC9_1_MSB_CR2: 0x082                      // MSB Analog control register 2
BYTE            DAC9_1_MSB_CR2;
#pragma ioport  DAC9_1_MSB_CR3: 0x083                      // MSB Analog control register 3
BYTE            DAC9_1_MSB_CR3;

// end of file DAC9_1.h
